"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const extend = require("extend");
const path_1 = require("path");
exports.defaultConfig = {
    database: {
        protocol: 'mongodb',
        host: '127.0.0.1',
        port: 27017,
        name: 'database',
        username: undefined,
        password: undefined,
    },
    databaseConnectionUri: undefined,
    inputPath: path_1.resolve(__dirname, '../../data'),
    dropDatabase: false,
    replaceIdWithUnderscoreId: false,
    supportedExtensions: ['json', 'js'],
    reconnectTimeoutInSeconds: 10,
};
exports.getConfig = (ownConfig) => {
    const config = {};
    return extend(true, config, exports.defaultConfig, ownConfig);
};
//# sourceMappingURL=config.js.map