"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DataTransformer {
    static replaceDocumentIdWithUnderscoreId(collection) {
        const documents = collection.documents.map((document) => {
            if (typeof document.id === 'undefined') {
                return document;
            }
            const documentToInsert = Object.assign({}, document, { _id: document.id });
            delete documentToInsert.id;
            return documentToInsert;
        });
        return Object.assign({}, collection, { documents });
    }
    transform(collections, transformCollection) {
        return collections.map(collection => transformCollection(collection));
    }
}
exports.DataTransformer = DataTransformer;
//# sourceMappingURL=DataTransformer.js.map