import { MongoClient } from 'mongodb';
import { DatabaseConfig } from '../common';
import { Database } from '.';
export interface DatabaseConnectorConfig {
    databaseConnectionUri?: string;
    databaseConfig?: DatabaseConfig;
}
export declare class DatabaseConnector {
    static SLEEP_INTERVAL_MILLIS: number;
    static DEFAULT_DB_NAME: string;
    static DEFAULT_RECONNECT_TIME_IN_SECONDS: number;
    client?: MongoClient;
    reconnectTimeoutInSeconds: number;
    constructor(reconnectTimeoutInSeconds?: number);
    connect({ databaseConnectionUri, databaseConfig, }: DatabaseConnectorConfig): Promise<Database>;
    connectWithUri(dbConnectionUri: string, dbName: string): Promise<Database>;
    close(): Promise<void>;
    getDbConnectionUri({ protocol, host, port, name, username, password, }: DatabaseConfig): string;
    getDbName(dbConnectionUri: string): string;
}
